name: "Get Run Info"
description: "Sanitizies and unifies the environment into run info"
inputs:
  compose-project-base:
    description: "Base for the Compose project"
    required: true
outputs:
  compose-project:
    description: "Compose project name"
runs:
  using: "composite"
  steps:
    - name: "Compute Run Info"
      shell: "bash"
      run: |
        set -x
        echo "compose-project=${{ inputs.compose-project-base }}-${GITHUB_RUN_NUMBER}" >> $GITHUB_OUTPUT
